BackendHTTP APIFunctions
Get a function deployment
Requires an API key with the environment:deploy scope. Learn more about API key scopes.
Returns the status and result of an asynchronous function deployment.
GET
Returns the status and result of an asynchronous function deployment.
bearerAuthheader
AuthorizationBearer <token>An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.
id*stringFormat
uuidSuccessfully retrieved the deployment.
application/json- response
id*stringFormat
uuidstatus*stringThe status of the function deployment.
Value in
"waiting""running""success""failed"integration_id*stringThe integration ID (unique_key) that you created in Tenklo.
function_name*stringThe sync or action function name.
function_type*RunnableFunctionTypeValue in
"action""sync"created_at*stringFormat
date-timeupdated_at*stringFormat
date-timestarted_at?stringFormat
date-timecompleted_at?stringFormat
date-timeduration_ms?integerRange
0 <= valuedeployed?booleanWhether the deployment updated any functions.
deployed_functions?array<>Functions updated by the deployment.
output?stringDeployment command output.
error?curl -X GET 'https://api.tenklo.dev/functions/deployments/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "waiting", "integration_id": "string", "function_name": "string", "function_type": "action", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "started_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z", "duration_ms": 0, "deployed": true, "deployed_functions": [ { "name": "string", "version": "string" } ], "output": "string", "error": { "code": "string", "message": "string", "payload": null }}